org.apache.lucene.analysis.de

## Class GermanMinimalStemmer

- java.lang.Object
- - org.apache.lucene.analysis.de.GermanMinimalStemmer

    public class GermanMinimalStemmer
    extends Object

Minimal Stemmer for German.

This stemmer implements the following algorithm: Morphologie et recherche d'information Jacques Savoy.

### Constructor Summary

Constructors
Constructor and Description
`GermanMinimalStemmer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `stem(char[] s, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GermanMinimalStemmer

    public GermanMinimalStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
                    int len)